Package com.xebialabs.xlrelease.domain.variables

## Class ScriptValueProviderConfiguration

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.variables.ValueProviderConfiguration
    - - com.xebialabs.xlrelease.domain.variables.ScriptValueProviderConfiguration

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `GroovyProvider`, `JythonProvider`

      public abstract class ScriptValueProviderConfiguration
      extends ValueProviderConfiguration

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.variables.ValueProviderConfiguration

      `CONFIGURATION_ID, variable`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScriptValueProviderConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.lang.String` | `extension()` |
    `java.lang.String` | `getScript()` |
    `java.lang.String` | `script()` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.variables.ValueProviderConfiguration

      `getVariable, setVariable`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptValueProviderConfiguration

          public ScriptValueProviderConfiguration()

  - ### Method Detail

    - #### extension

          public abstract java.lang.String extension()

    - #### getScript

          public java.lang.String getScript()

    - #### script

          public java.lang.String script()